/***
  Get 6bit-ADC value and indicate it on 4 LEDs.
  
  CPU: CY8C29466 24MHz(Internal)
  Board: CY3210-MiniEval
  Compiler: PSoC Designer4.3 + C Compiler
  Date: 2007/4/2
  Author: Sho Hashimoto
  WebSite: http://shokai.org
  ***/

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

void main()
{
	PGA_1_Start(3); // Start AMP
	SAR6_1_Start(3); // Start ADC
	
	for(;;){
		PRT2DR = (SAR6_1_cGetSample()+32)>>2;
		// SAR6 returns signed 6bit value.
		// Convert it into unsigned 4bit for 4 LEDs on CY3210-MiniEval.
	}
}
